<?php





include'conexion1.php';

date_default_timezone_set("America/Lima"); 



$conectar = mysqli_connect($servidor,$nombre,$clave,$base);

if(!empty($_POST["fechaemi"])){
    $fecha_emision_antpe=$_POST["fechaemi"];}else{$fecha_emision_antpe=null;}

if(!empty($_POST["tipo"])){
	$tipo_comprobante_ant=$_POST["tipo"];}else{$tipo_comprobante_ant=null;}

if(!empty($_POST["serie"])){
    $serie_ant=$_POST["serie"];}else{$serie_ant=null;}


if(!empty($_POST["corre"])){
    $secuencial_ant=$_POST["corre"];}else{$secuencial_ant=null;}




if(!empty($_POST["id101"])){
    $dni=$_POST["id101"];}else{$dni=null;}


if(!empty($_POST["id102"])){
    $nombre=$_POST["id102"];}else{$nombre=null;}

if(!empty($_POST["id103"])){
    $direccion=$_POST["id103"];}else{$direccion=null;}


if(!empty($_POST["id104"])){
    $descripcion=$_POST["id104"];}else{$descripcion=null;}


if(!empty($_POST["id105"])){
    $precio_unitario=$_POST["id105"];}else{$precio_unitario=null;}


if(!empty($_POST["id106"])){
    $igv=$_POST["id106"];}else{$igv=null;}

if(!empty($_POST["id107"])){
    $sub_total=$_POST["id107"];}else{$sub_total=null;}

if(!empty($_POST["id108"])){
    $nota=$_POST["id108"];}else{$nota=null;}

if(!empty($_POST["id109"])){
    $justificacion=$_POST["id109"];}else{$justificacion=null;}




//$id=0;

$eligebase2="contador";//NOMBRE DE LA TABLA DE LA BASE
$columna2="IDREGISTRO_NOTA_LEGAL";//NOMBRE DE LA COLUMNA
require_once('contador.php');
//$selec = new apicambianumero();
$selec2=cambia($eligebase2, $columna2);
$id=$selec2;


$fecha=date("Y-m-d");  
$hora=date("H:i:s");  
$tipo_comprobante_desp="NOTA_CREDITO";


//SE COLOCA EN OTRA HOJA
$eligebase="contador";//NOMBRE DE LA TABLA DE LA BASE
$columna="IDSECUENCIAL_NOTA_CREDITO";//NOMBRE DE LA COLUMNA
require_once('contador.php');
//$selec = new apicambianumero();
$selec=cambia($eligebase, $columna);
$secuencial_desp=$selec;

$claveacceso=0;

//$secuencial_desp=0;
//$tipo_comprobante_ant=0;
//$serie_ant=0;
$serie_desp=0;
//$fecha_emision_ant=0;
//$secuencial_ant=0;


$dt = DateTime::createFromFormat('Y-m-d', $fecha_emision_antpe);
$fecha_emision_ant = $dt->format('d/m/Y');    



$insertar = "INSERT INTO nota_legal VALUES('$id','$fecha','$hora','$tipo_comprobante_desp','$claveacceso','$serie_desp','$secuencial_desp','$tipo_comprobante_ant','$fecha_emision_ant','$serie_ant','$secuencial_ant','$dni','$nombre','$direccion','$descripcion','$precio_unitario',' $igv',' $sub_total','$nota','$justificacion')";
$query2 = mysqli_query($conectar,$insertar);



















?>